[jboss-cvs] JBossAS SVN: r73861 - trunk/main/src/bin.

jboss-cvs-commits at lists.jboss.org jboss-cvs-commits at lists.jboss.org
Fri May 30 14:19:48 EDT 2008


Author: mmoyses
Date: 2008-05-30 14:19:48 -0400 (Fri, 30 May 2008)
New Revision: 73861

Modified:
   trunk/main/src/bin/run.sh
Log:
JBAS-5572

Modified: trunk/main/src/bin/run.sh
===================================================================
--- trunk/main/src/bin/run.sh	2008-05-30 17:26:24 UTC (rev 73860)
+++ trunk/main/src/bin/run.sh	2008-05-30 18:19:48 UTC (rev 73861)
@@ -80,14 +80,14 @@
 # Increase the maximum file descriptors if we can
 if [ "$cygwin" = "false" ]; then
     MAX_FD_LIMIT=`ulimit -H -n`
-    if [ $? -eq 0 ]; then
+    if [ "$?" -eq 0 ]; then
 	if [ "$MAX_FD" = "maximum" -o "$MAX_FD" = "max" ]; then
 	    # use the system max
 	    MAX_FD="$MAX_FD_LIMIT"
 	fi
 
 	ulimit -n $MAX_FD
-	if [ $? -ne 0 ]; then
+	if [ "$?" -ne 0 ]; then
 	    warn "Could not set maximum file descriptor limit: $MAX_FD"
 	fi
     else
@@ -283,7 +283,7 @@
    #    http://jira.jboss.com/jira/browse/JBAS-2483
    # or the following if you're running Red Hat 7.0
    #    http://developer.java.sun.com/developer/bugParade/bugs/4465334.html   
-   if [ $JBOSS_STATUS -eq 10 ]; then
+   if [ "$JBOSS_STATUS" -eq 10 ]; then
       echo "Restarting JBoss..."
    else
       exit $JBOSS_STATUS




More information about the jboss-cvs-commits mailing list